services:
  nginxpulse:
    image: magiccoders/nginxpulse:v1.6.23
    container_name: nginxpulse
    environment:
      - PUID=33
      - PGID=33
      - TZ=Asia/Shanghai
    ports:
      - "48088:8088"
      - "48089:8089"
    volumes:
      - /var/log/nginx:/share/logs
      - /opt/docker-data/nginxpulse/nginxpulse_data:/app/var/nginxpulse_data
      - /opt/docker-data/nginxpulse/pgdata:/app/var/pgdata
      - /opt/docker-data/nginxpulse/configs:/app/configs
      - /etc/localtime:/etc/localtime
    stop_grace_period: 90s
    restart: unless-stopped